Bug 495777 - Fails with BASIC runtime error
Fails with BASIC runtime error
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org-extendedPDF (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 14:37 EDT by Russell Harrison
Modified: 2009-04-17 14:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.4-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 14:02:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2009-04-14 14:37:07 EDT
Description of problem:
When I click on the extendedPDF button it fails with a BASIC runtime error. 

Version-Release number of selected component (if applicable):
openoffice.org-extendedPDF-1.4-4.fc9.noarch

How reproducible:

Steps to Reproduce:
1. Write a document in Writer
2. Click on the extendedPDF toolbar button
  
Actual results:

BASIC runtime error.
Property or method not found.

Expected results:
A PDF file is generated from the open document.

Additional info:
The macro editor opens on failure to the following section of code with the nested if statement highlighted:

if GetSolarVersion < 646 then 'openoffice.org version 1.x.x or equivalent
        ' Thanks to Petr Ferdus for finding the right property here
        if not isNull(documentInfo.theme) and not isEmpty(documentInfo.theme) then
            s = s & " /Subject " & epdf_pdfu_hexEncodePdfText(documentInfo.theme, errorCode)
        end if
else
Comment 1 Fedora Update System 2009-04-14 18:28:54 EDT
openoffice.org-extendedPDF-1.4-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openoffice.org-extendedPDF-1.4-6.fc10
Comment 2 Fedora Update System 2009-04-15 13:58:32 EDT
openoffice.org-extendedPDF-1.4-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org-extendedPDF'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3681
Comment 3 Russell Harrison 2009-04-16 11:22:15 EDT
This does seem to fix the problem I was seeing.  Thanks for the extremely quick turn around!
Comment 4 Fedora Update System 2009-04-17 14:01:57 EDT
openoffice.org-extendedPDF-1.4-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.